# Usage:
1.
```shell
make
```
2.
```shell
sudo insmod libfs.ko
```
3.
```shell
sudo mkdir /mnt/customfs
```
4.
```shell
sudo mount -t customfs none /mnt/customfs
```
5.
```shell
ls -la /mnt/customfs
# Должны быть:
# drwxrwxrwt books
# drwxr-xr-x authors
```
# Testing:
1. 
```shell
echo hello > /mnt/customfs/books/test.txt
cat /mnt/customfs/books/test.txt
```
```shell
mkdir /mnt/customfs/books/subdir  # Ожидаемый результат: ошибка
```
2.
```shell
mkdir /mnt/customfs/authors/ivan
ls -ld /mnt/customfs/authors/ivan  # Проверка прав: drwxrwxrwt
```
```shell
touch /mnt/customfs/authors/ivan/file  # Ожидаемый результат: ошибка
```
```shell
ln /mnt/customfs/books/test.txt /mnt/customfs/authors/ivan/link_to_test
```
```shell
rm /mnt/customfs/books/test.txt
```
```shell
ls /mnt/customfs/authors/ivan  # Должно быть пусто
```
3. 
```shell
sudo rmdir /mnt/customfs/books  # Ожидаемый результат: ошибка
sudo mv /mnt/customfs/books /mnt/customfs/books2  # Ожидаемый результат: ошибка
```
4. 
```shell
sudo umount /mnt/customfs
sudo rmmod libfs
```
